import java.text.*;
import java.util.*;
import org.apache.commons.cli.*;

public class OggiSemplice {


    public static void main(String[] args) {

        // definizione opzioni
        Options opts = new Options();

        // formato (con argomento)
        opts.addOption("f", true, "formato data");
        // ora (booleano)
        opts.addOption("o", false, "mostra anche l'ora");

        // parsing
        CommandLine cmdLine = null;
        try {
            Parser parser = new PosixParser();
            cmdLine = parser.parse(opts, args);
        }
        // gestione errore semplice...
        catch (org.apache.commons.cli.ParseException pE) {
            pE.printStackTrace();
            System.exit(1);
        }

        // definizione formato di uscita
        String formatStr;
        if (cmdLine.hasOption("f")) {
            formatStr = cmdLine.getOptionValue("f");
        } else {
            formatStr = "d MMMM, yyyy";
        }
        // aggiungere l'ora se richiesto
        if (cmdLine.hasOption("o")) {
            formatStr += " - HH:mm:ss";
        }

        DateFormat df = new SimpleDateFormat(formatStr);
        System.out.println(df.format(new Date()));
    }
}
